Summary:        A simple chess board game for KDE4
Name:           knights
Version:        2.5.0
Release:        %mkrel 3
Source0:        http://dl.dropbox.com/u/2888238/Knights/%{name}-%{version}.tar.bz2
Group:          Games/Boards
License:        GPLv2
URL:            http://noughmad.eu/knights
BuildRequires:  kdegames-devel >= 1:4.8.95
Requires:       gnuchess

%description
Knights is a simple chess board for KDE4. It is a rewrite of the KDE3 Knights,
but it's not yet as feature-complete compared to the old one. Currently you can
play against computer engines that support the XBoard protocol (like GnuChess)
or against a player at the same computer. It has automatic rule checking and
some nice animations.

%files -f %name.lang
%{_kde_bindir}/%{name}
%{_kde_applicationsdir}/%{name}.desktop
%{_kde_appsdir}/%{name}
%{_kde_datadir}/config.kcfg/%{name}.kcfg
%{_kde_configdir}/knights.knsrc
%{_kde_iconsdir}/hicolor/*/apps/*
%{_datadir}/dbus-1/interfaces/org.kde.Knights.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %name --with-html


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.5.0-3.mga3
+ Revision: 356365
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 mikala <mikala> 2.5.0-2.mga3
+ Revision: 341416
- Fix buildrequires

* Thu Aug 30 2012 fwang <fwang> 2.5.0-1.mga3
+ Revision: 285795
- new version 2.5.0
- new version 2.4.2

* Tue Jan 17 2012 mikala <mikala> 2.4.1-1.mga2
+ Revision: 197641
- Update tarball to 2.4.1
- remove tabs & use space

* Sat Oct 22 2011 mikala <mikala> 2.4.0-1.mga2
+ Revision: 157311
- Update tarball to 2.4.0
- remove %%defattr() & %%clean section
- fix License
- add source1 since we're creating our tarball from kde's git

* Sun Jun 19 2011 kharec <kharec> 2.3.2-1.mga2
+ Revision: 109831
- new version

* Thu Mar 24 2011 mikala <mikala> 2.3.1-1.mga1
+ Revision: 76766
- Update tarball to 2.3.1 (using git clone since dropbox is unavailbale)
- Remove BuildRoot
- imported package knights

